OpenVDB: BinPointIndicesOp< PointArray, PointIndexType, VoxelOffsetType > Struct Template Reference

OpenVDB 8.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
BinPointIndicesOp< PointArray, PointIndexType, VoxelOffsetType > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | PosType = typename PointArray::PosType
using | IndexPair = std::pair< PointIndexType, PointIndexType >
using | IndexPairList = std::deque< IndexPair >
using | IndexPairListPtr = std::shared_ptr< IndexPairList >
using | IndexPairListMap = std::map< Coord, IndexPairListPtr >
using | IndexPairListMapPtr = std::shared_ptr< IndexPairListMap >

## Public Member Functions
| BinPointIndicesOp (IndexPairListMapPtr *data, const PointArray &points, VoxelOffsetType *voxelOffsets, const math::Transform &m, Index binLog2Dim, Index bucketLog2Dim, size_t numSegments, bool cellCenteredTransform)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
IndexPairListMapPtr *const | mData
PointArray const *const | mPoints
VoxelOffsetType *const | mVoxelOffsets
math::Transform const | mXForm
Index const | mBinLog2Dim
Index const | mBucketLog2Dim
size_t const | mNumSegments
bool const | mCellCenteredTransform

## Member Typedef Documentation

## ◆ IndexPair

using IndexPair = std::pair<PointIndexType, PointIndexType>

## ◆ IndexPairList

using IndexPairList = std::deque<IndexPair>

## ◆ IndexPairListMap

using IndexPairListMap = std::map<Coord, IndexPairListPtr>

## ◆ IndexPairListMapPtr

using IndexPairListMapPtr = std::shared_ptr<IndexPairListMap>

## ◆ IndexPairListPtr

using IndexPairListPtr = std::shared_ptr<IndexPairList>

## ◆ PosType

using PosType = typename PointArray::PosType

## Constructor & Destructor Documentation

## ◆ BinPointIndicesOp()

BinPointIndicesOp | ( | IndexPairListMapPtr * | data,
|  | const PointArray & | points,
|  | VoxelOffsetType * | voxelOffsets,
|  | const math::Transform & | m,
|  | Index | binLog2Dim,
|  | Index | bucketLog2Dim,
|  | size_t | numSegments,
|  | bool | cellCenteredTransform
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mBinLog2Dim

Index const mBinLog2Dim

## ◆ mBucketLog2Dim

Index const mBucketLog2Dim

## ◆ mCellCenteredTransform

bool const mCellCenteredTransform

## ◆ mData

IndexPairListMapPtr* const mData

## ◆ mNumSegments

size_t const mNumSegments

## ◆ mPoints

PointArray const* const mPoints

## ◆ mVoxelOffsets

VoxelOffsetType* const mVoxelOffsets

## ◆ mXForm

math::Transform const mXForm

The documentation for this struct was generated from the following file:

- PointPartitioner.h